get quote
curl --request GET \
--url https://api.example.com/quotes/{id}import requests
url = "https://api.example.com/quotes/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/quotes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/quotes/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/quotes/{id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/quotes/{id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/quotes/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"id": "<string>",
"state": "INITIATED",
"estimate": {
"pack_id": "<string>",
"pack_version": "<string>",
"answers": {},
"artist_review_mode": "pre_price",
"price_range": {
"min": 1,
"max": 1,
"currency": "<string>",
"basis": "hourly",
"method": "artist_stated",
"provenance": {
"who": "<string>",
"when": "2023-11-07T05:31:56Z"
},
"n": 6,
"min_minor": 4503599627370495,
"max_minor": 4503599627370495
},
"sessions": {
"count": 1,
"hours_per_session": 1
},
"deposit": {
"amount": 1,
"basis": "<string>",
"policies": [
"<string>"
],
"status": "unpaid",
"merchant_of_record": "provider",
"provenance": {
"who": "<string>",
"when": "2023-11-07T05:31:56Z"
},
"confirmation": {
"source": "payment_processor",
"reference": "<string>",
"confirmed_at": "2023-11-07T05:31:56Z"
},
"amount_minor": 4503599627370495,
"capture_on": "accept",
"refundable_until": "2023-11-07T05:31:56Z",
"policy_url": "<string>"
},
"assumptions": [
"<string>"
],
"intermediates": [
{
"step": "<string>",
"factor_id": "<string>",
"input": "<unknown>",
"value": "<unknown>",
"skipped": true,
"reason": "<string>"
}
],
"review_status": "VALIDATED_PENDING_REVIEW",
"consent": {
"share_for_pricing_research": true,
"anonymize": true,
"captured_at": "2023-11-07T05:31:56Z"
},
"anonymized": true,
"kind": "estimate",
"binding": false,
"confidence": "low",
"requires_in_person_consult": true
},
"quote": {
"pack_id": "<string>",
"pack_version": "<string>",
"answers": {},
"artist_review_mode": "pre_price",
"price_range": {
"min": 1,
"max": 1,
"currency": "<string>",
"basis": "hourly",
"method": "artist_stated",
"provenance": {
"who": "<string>",
"when": "2023-11-07T05:31:56Z"
},
"n": 6,
"min_minor": 4503599627370495,
"max_minor": 4503599627370495
},
"sessions": {
"count": 1,
"hours_per_session": 1
},
"deposit": {
"amount": 1,
"basis": "<string>",
"policies": [
"<string>"
],
"status": "unpaid",
"merchant_of_record": "provider",
"provenance": {
"who": "<string>",
"when": "2023-11-07T05:31:56Z"
},
"confirmation": {
"source": "payment_processor",
"reference": "<string>",
"confirmed_at": "2023-11-07T05:31:56Z"
},
"amount_minor": 4503599627370495,
"capture_on": "accept",
"refundable_until": "2023-11-07T05:31:56Z",
"policy_url": "<string>"
},
"assumptions": [
"<string>"
],
"intermediates": [
{
"step": "<string>",
"factor_id": "<string>",
"input": "<unknown>",
"value": "<unknown>",
"skipped": true,
"reason": "<string>"
}
],
"review_status": "QUOTED",
"consent": {
"share_for_pricing_research": true,
"anonymize": true,
"captured_at": "2023-11-07T05:31:56Z"
},
"anonymized": true,
"valid_until": "2023-11-07T05:31:56Z",
"kind": "quote",
"binding": true,
"confidence": "low",
"client_approval": {
"amount": 1,
"currency": "<string>",
"policies": [
"<string>"
],
"approved_amount": true,
"approved_policies": true,
"approved_at": "2023-11-07T05:31:56Z",
"amount_minor": 4503599627370495
},
"attribution": {
"referrer_id": "<string>",
"token": "<string>",
"campaign": "<string>",
"source": "<string>"
},
"quantity": 4503599627370496,
"quantity_unit": {
"unit": "C62",
"display_text": "<string>",
"scale": 0
},
"checkout_handoff": {
"protocol": "ucp",
"url": "<string>",
"ucp_quote_status": "pending",
"acp_quote_id": "<string>",
"quote_expires_at": "2023-11-07T05:31:56Z"
},
"id": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"current_state": "INITIATED"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"current_state": "INITIATED"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"current_state": "INITIATED"
}
}API Reference
get quote
GET
/
quotes
/
{id}
get quote
curl --request GET \
--url https://api.example.com/quotes/{id}import requests
url = "https://api.example.com/quotes/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/quotes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/quotes/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/quotes/{id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/quotes/{id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/quotes/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"id": "<string>",
"state": "INITIATED",
"estimate": {
"pack_id": "<string>",
"pack_version": "<string>",
"answers": {},
"artist_review_mode": "pre_price",
"price_range": {
"min": 1,
"max": 1,
"currency": "<string>",
"basis": "hourly",
"method": "artist_stated",
"provenance": {
"who": "<string>",
"when": "2023-11-07T05:31:56Z"
},
"n": 6,
"min_minor": 4503599627370495,
"max_minor": 4503599627370495
},
"sessions": {
"count": 1,
"hours_per_session": 1
},
"deposit": {
"amount": 1,
"basis": "<string>",
"policies": [
"<string>"
],
"status": "unpaid",
"merchant_of_record": "provider",
"provenance": {
"who": "<string>",
"when": "2023-11-07T05:31:56Z"
},
"confirmation": {
"source": "payment_processor",
"reference": "<string>",
"confirmed_at": "2023-11-07T05:31:56Z"
},
"amount_minor": 4503599627370495,
"capture_on": "accept",
"refundable_until": "2023-11-07T05:31:56Z",
"policy_url": "<string>"
},
"assumptions": [
"<string>"
],
"intermediates": [
{
"step": "<string>",
"factor_id": "<string>",
"input": "<unknown>",
"value": "<unknown>",
"skipped": true,
"reason": "<string>"
}
],
"review_status": "VALIDATED_PENDING_REVIEW",
"consent": {
"share_for_pricing_research": true,
"anonymize": true,
"captured_at": "2023-11-07T05:31:56Z"
},
"anonymized": true,
"kind": "estimate",
"binding": false,
"confidence": "low",
"requires_in_person_consult": true
},
"quote": {
"pack_id": "<string>",
"pack_version": "<string>",
"answers": {},
"artist_review_mode": "pre_price",
"price_range": {
"min": 1,
"max": 1,
"currency": "<string>",
"basis": "hourly",
"method": "artist_stated",
"provenance": {
"who": "<string>",
"when": "2023-11-07T05:31:56Z"
},
"n": 6,
"min_minor": 4503599627370495,
"max_minor": 4503599627370495
},
"sessions": {
"count": 1,
"hours_per_session": 1
},
"deposit": {
"amount": 1,
"basis": "<string>",
"policies": [
"<string>"
],
"status": "unpaid",
"merchant_of_record": "provider",
"provenance": {
"who": "<string>",
"when": "2023-11-07T05:31:56Z"
},
"confirmation": {
"source": "payment_processor",
"reference": "<string>",
"confirmed_at": "2023-11-07T05:31:56Z"
},
"amount_minor": 4503599627370495,
"capture_on": "accept",
"refundable_until": "2023-11-07T05:31:56Z",
"policy_url": "<string>"
},
"assumptions": [
"<string>"
],
"intermediates": [
{
"step": "<string>",
"factor_id": "<string>",
"input": "<unknown>",
"value": "<unknown>",
"skipped": true,
"reason": "<string>"
}
],
"review_status": "QUOTED",
"consent": {
"share_for_pricing_research": true,
"anonymize": true,
"captured_at": "2023-11-07T05:31:56Z"
},
"anonymized": true,
"valid_until": "2023-11-07T05:31:56Z",
"kind": "quote",
"binding": true,
"confidence": "low",
"client_approval": {
"amount": 1,
"currency": "<string>",
"policies": [
"<string>"
],
"approved_amount": true,
"approved_policies": true,
"approved_at": "2023-11-07T05:31:56Z",
"amount_minor": 4503599627370495
},
"attribution": {
"referrer_id": "<string>",
"token": "<string>",
"campaign": "<string>",
"source": "<string>"
},
"quantity": 4503599627370496,
"quantity_unit": {
"unit": "C62",
"display_text": "<string>",
"scale": 0
},
"checkout_handoff": {
"protocol": "ucp",
"url": "<string>",
"ucp_quote_status": "pending",
"acp_quote_id": "<string>",
"quote_expires_at": "2023-11-07T05:31:56Z"
},
"id": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"current_state": "INITIATED"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"current_state": "INITIATED"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"current_state": "INITIATED"
}
}Path Parameters
Minimum string length:
1Response
Success
Minimum string length:
1Available options:
INITIATED, MANIFEST_ISSUED, PAYLOAD_SUBMITTED, MUTATION_REQUIRED, VALIDATED_PENDING_REVIEW, QUOTED, ACCEPTED, DECLINED, EXPIRED Non-binding PricingModel result returned on PAYLOAD_SUBMITTED; incomplete inputs require mutation, never omission of a price.
Show child attributes
Show child attributes
Show child attributes
Show child attributes